Bug 219848 - deskutils/xfce4-tumbler: Update to 0.1.32
Summary: deskutils/xfce4-tumbler: Update to 0.1.32
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-xfce mailing list
URL:
Keywords: patch-ready
Depends on:
Blocks:
 
Reported: 2017-06-07 16:56 UTC by Olivier Duchateau
Modified: 2017-07-17 17:19 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (xfce)
duchateau.olivier: merge-quarterly?


Attachments
Patch to update deskutils/xfce4-tumbler (4.80 KB, patch)
2017-06-07 16:56 UTC, Olivier Duchateau
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Duchateau 2017-06-07 16:56:56 UTC
Created attachment 183304 [details]
Patch to update deskutils/xfce4-tumbler

- Update to 0.1.32 (bugfix release)
- Sort USES
- Adjust dependencies
- Remove FONTS, JPEG, POPPLER and ODF options (already set by default, and follow the devel release)
- Regenerate patches (with 'make makepatch')

Note: This release contains the patch available in bug #219664
Comment 1 Olivier Duchateau 2017-07-03 16:50:03 UTC
Merge quarterly is needed, because this release fixes a couple of critical bugs especially:
- typo in tumbler.rc and exif tag for image height (all previous releases are affected)
- avoid loading thumbnailers twice each time file manager (Thunar) is opened
Comment 2 Olivier Duchateau 2017-07-17 16:17:22 UTC
This update needs to be merged **only** in quarterly 2017Q3, because bug #220805 is major upgrade (tumbler was ported to GDbus, it's new API) whereas 0.1.x releases still uses DBus GLib).
Comment 3 Olivier Duchateau 2017-07-17 17:19:17 UTC
Superseded by bug #220805